Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513198 - Openstack guest is killed with sig15 after emulation failure
Summary: Openstack guest is killed with sig15 after emulation failure
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Virtualization Maintenance
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 23:52 UTC by emahoney
Modified: 2017-11-15 00:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 00:34:03 UTC


Attachments (Terms of Use)

Description emahoney 2017-11-14 23:52:20 UTC
Description of problem: An openstack guest is getting a 'KVM internal error.Suberror: 1' error and showing as paused in nova until it is killed with sig15. In the nova logs, we see errors like the ones below:

    2017-11-13 17:06:53.514 94086 WARNING nova.compute.manager [-] [instance: 3e6ed412-e599-46dc-8594-8b49b3f8db52] Instance is paused unexpectedly. Ignore.

And in the libvirt/qemu logs for the guest, we see that it is encountering an emulation failure:

KVM internal error.Suberror: 1
rax 0000000000c9d080 rbx 0000000000000000 rcx 00007fe6b47f999a rdx 00007fe6b48595c4
rsi 00007fe6b5929002 rdi 0000000000c9d3e2 rsp 00007ffeda099768 rbp 00007ffeda0997b0
r8  0000000000c9d080 r9  0000000000000355 r10 0000000000000001 r11 00007fe6b488b6d0
r12 0000000000403a80 r13 00007ffeda09a390 r14 0000000000000000 r15 0000000000000000
rip 00007fe6b48595f1 rflags 00010206
cs 0033 (00000000/ffffffff p 1 dpl 3 db 0 s 1 type b l 1 g 1 avl 0)
ds 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
es 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
ss 002b (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
fs 0000 (7fe6b591e740/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gs 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
tr 0040 (ffff88101fd140c0/00002087 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt ffff88101fd09000/7f
idt ffffffffff529000/fff
cr0 80050033 cr2 7fe6b48595c4 cr3 731c29000 cr4 1406e0 cr8 0 efer d01
emulation failure, check dmesg for details
qemu: terminating on signal 15 from pid 93548
2017-11-10 10:24:14.176+0000: shutting down
2017-11-10 10:24:30.134+0000: starting up
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin HOME=/root USER=root LOGNAME=root QEMU_AUDIO_DRV=none /usr/libexec/qemu-kvm -name instance-000025f4 -S -M rhel6.6.0 -cpu SandyBridge,+invpcid,+erms,+bmi2,+smep,+avx2,+bmi1,+fsgsbase,+abm,+pdpe1gb,+rdrand,+f16c,+osxsave,+movbe,+dca,+pcid,+pdcm,+xtpr,+fma,+tm2,+est,+smx,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -enable-kvm -m 65536 -realtime mlock=off -smp 8,sockets=2,cores=4,threads=1 -uuid c3833971-3d48-4d31-8c29-ef6e97aeaeac -smbios type=1,manufacturer=Red Hat,product=OpenStack Compute,version=2014.1.5-1.el6ost,serial=44454c4c-5800-104d-8035-b2c04f433732,uuid=c3833971-3d48-4d31-8c29-ef6e97aeaeac -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/instance-000025f4.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -no-kvm-pit-reinjection -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=/var/lib/nova/instances/c3833971-3d48-4d31-8c29-ef6e97aeaeac/disk,if=none,id=drive-virtio-disk0,format=qcow2,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -drive file=/dev/mapper/mpathk,if=none,id=drive-virtio-disk1,format=raw,serial=0c86d369-9a22-405a-a428-143022e76af9,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk1,id=virtio-disk1 -drive file=/dev/mapper/mpathx,if=none,id=drive-virtio-disk2,format=raw,serial=5b5d9909-1f50-4c4e-a926-96037fe507c0,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk2,id=virtio-disk2 -netdev tap,fd=31,id=hostnet0,vhost=on,vhostfd=56 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=fa:16:3e:9c:8e:54,bus=pci.0,addr=0x3 -chardev file,id=charserial0,path=/var/lib/nova/instances/c3833971-3d48-4d31-8c29-ef6e97aeaeac/console.log -device isa-serial,chardev=charserial0,id=serial0 -chardev pty,id=charserial1 -device isa-serial,chardev=charserial1,id=serial1 -device usb-tablet,id=input0 -vnc 0.0.0.0:2 -k en-us -vga cirrus -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7 -msg timestamp=on
char device redirected to /dev/pts/2
KVM internal error.Suberror: 1
rax 0000000000afc080 rbx 0000000000000000 rcx 00007fb82855d99a rdx 00007fb8285bd5c4
rsi 00007fb82968d002 rdi 0000000000afc3e2 rsp 00007fff9756d448 rbp 00007fff9756d490
r8  0000000000afc080 r9  0000000000000355 r10 0000000000000001 r11 00007fb8285ef6d0
r12 0000000000403a80 r13 00007fff9756e070 r14 0000000000000000 r15 0000000000000000
rip 00007fb8285bd5f1 rflags 00010206
cs 0033 (00000000/ffffffff p 1 dpl 3 db 0 s 1 type b l 1 g 1 avl 0)
ds 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
es 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
ss 002b (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
fs 0000 (7fb829682740/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gs 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
tr 0040 (ffff88101fd140c0/00002087 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt ffff88101fd09000/7f
idt ffffffffff529000/fff
cr0 80050033 cr2 7fb8285bd5c4 cr3 fcf319000 cr4 1406e0 cr8 0 efer d01
emulation failure, check dmesg for details

Version-Release number of selected component (if applicable):
kernel-2.6.32-431.29.2.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.479.el6_7.1.x86_64

openstack-nova-common-2014.1.5-1.el6ost.noarch

How reproducible: Have not been able to reproduce this issue and the emulation failures happen sporadically on the customer environment. 

Steps to Reproduce:
1.n/a
2.
3.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.